package com.ss.android.ugc.aweme.favorites.service;

import X.1hK;
import X.D0R;
import X.Lel;
import X.M12;
import android.view.View;
import androidx.fragment.app.Fragment;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import java.util.List;

public final class FavoriteEmptyService implements IFavoriteService {
    static {
        Covode.recordClassIndex(75734);
    }

    public final void LIZ(1hK r1, String str, String str2) {
        M12.LIZ(r1, str, str2);
    }

    public final void LIZ(1hK r1, String str, String str2, View view) {
        M12.LIZ(r1, str, str2, view);
    }

    public final void LIZ(String str) {
        M12.LIZ(str);
    }

    public final boolean LIZ() {
        return true;
    }

    public final boolean LIZIZ() {
        return false;
    }

    public final boolean LIZJ() {
        return false;
    }

    public final boolean LIZLLL() {
        return false;
    }

    public final boolean LJ() {
        return false;
    }

    public final boolean LJFF() {
        return false;
    }

    public final int LJI() {
        return 0;
    }

    public final boolean LJII() {
        return false;
    }

    public final boolean LJIIIIZZ() {
        return false;
    }

    public final Fragment LJIIIZ() {
        return null;
    }

    public final D0R<List<Aweme>, Boolean, Long> LIZ(String str, long j) {
        M12.LIZ(str);
        return new D0R<>(Lel.INSTANCE, false, 0L);
    }
}
